Subject: Re: bug#34206: Pdumper giving a segfault

From: Compro Prasad <[email-masked]>
Date: Mon, 28 Jan 2019 17:49:39 +0530

On Sun, Jan 27, 2019 at 9:22 AM Daniel Colascione <[email-masked]> wrote:
>
> On 1/25/19 10:33 PM, Compro Prasad wrote:
> > Emacs source: official master branch (commit: 7960951d5d)
> > Emacs config: https://github.com/Compro-Prasad/spacemacs/tree/pdumper-is-in-master
> > (commit: f5eef2127ad4d)
> > Spacemacs config: https://github.com/Compro-Prasad/.spacemacs.d
> > (commit: 8a1eebc65f9a)
> >
> > Build command: ./configure --enable-checking='yes,glyphs'
> > --enable-check-lisp-object-type CFLAGS='-O0 -g3' --with-xwidgets &&
> > make -j2
> >
> > GDB log: https://pastebin.com/2uMPHCRV
> >
> > OS: Antergos(Arch Linux)
> > Compiler: gcc version 8.2.1 20181127 (GCC)
> >
> > Can't provide further information because Emacs segfaults before it
> > can load any elisp packages while loading the dump file.
> >
> > I might be doing something wrong here. Can you please guide me how to
> > use the pdumper in Emacs or what info topic is it under?
>
> That looks like a legitimate bug. I don't know anything about spacemacs.
> Can you provide a recipe for reproducing this crash starting from a
> stock master checkout? Thanks.

I fixed it by setting dotspacemacs-editing-style to 'vim from 'hybrid
. You can see it here:
https://github.com/Compro-Prasad/.spacemacs.d/commit/70033fb6c429244d0a72663e8258fe05637f5cfd#diff-64ed6d0a7a4f2eaf33cacc2454a19cffL234

You can clone the repo in the above link to `~/.spacemacs.d` and clone
https://github.com/Compro-Prasad/spacemacs (branch:
pdumper-is-in-master) to `~/.emacs.d`. Then start Emacs(Packages will
be downloaded for the first time). It should work perfectly fine. You
can see the dumping status in `*spacemacs-dumper*` buffer. Then
specify the command:

emacs-27.0.50 --dump-file ~/.emacs.d/.cache/dumps/spacemacs.pdmp

to load the dump. This won't work(will crash) if the
dotspacemacs-editing-style is 'hybrid in `~/.spacemacs.d/init.el`

The emacs 27 executable used was by building from the official master branch.

If you are doubtful about any of the above steps then you can ask me
or ask spacemacs specific questions at
https://gitter.im/syl20bnr/spacemacs .